bitel.billing.server.ipn.bean

## Class GateType

- java.lang.Object
- - bitel.billing.server.ipn.bean.GateType

- All Implemented Interfaces:
    ListItem

      public class GateType
      extends java.lang.Object
      implements ListItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GateType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getConfig()`
    `java.lang.String` | `getConfigOption(java.lang.String key)`
    `Preferences` | `getConfigSetup()`
    `java.lang.String` | `getGateFactory()`
    `java.lang.String` | `getGateManager()`
    `int` | `getId()`
    `java.lang.String` | `getRule()`
    `java.lang.String` | `getRuleEditor()`
    `java.lang.String` | `getScript()`
    `java.lang.String` | `getTitle()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setConfig(java.lang.String config)`
    `void` | `setId(int id)`
    `void` | `setRule(java.lang.String rule)`
    `void` | `setScript(java.lang.String script)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GateType

          public GateType()

  - ### Method Detail

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `ListItem`

    - #### setId

          public void setId(int id)

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `ListItem`

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getConfig

          public java.lang.String getConfig()

    - #### setConfig

          public void setConfig(java.lang.String config)

    - #### getRuleEditor

          public java.lang.String getRuleEditor()

    - #### getGateManager

          public java.lang.String getGateManager()

    - #### getGateFactory

          public java.lang.String getGateFactory()

    - #### getConfigOption

          public java.lang.String getConfigOption(java.lang.String key)

    - #### getConfigSetup

          public Preferences getConfigSetup()

    - #### getRule

          public java.lang.String getRule()

    - #### setRule

          public void setRule(java.lang.String rule)

    - #### getScript

          public java.lang.String getScript()

    - #### setScript

          public void setScript(java.lang.String script)